subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko Čibej <br...@apache.org>
Subject Re: Supported SWIG version on swig-py3
Date Tue, 29 Oct 2019 10:37:17 GMT
On 29.10.2019 01:47, Yasuhito FUTATSUKI wrote:
> On 2019/10/29 2:45, Branko Čibej wrote:
>>                                  Because if that's
the case, I would
>> prefer
>> making 3.0.10 our required minimum version. Remember that users who
>> build
>> from our tarballs do not need Swig on Unix, it's only needed by
>> developers
>> and the RM.
>
> I see. I missunderstood it because ome downstream packager attempt to use
> their own platform SWIG, at least on FreeBSD and Arch Linux make
> dependecy
> to SWIG for their package building....
>
> https://www.freebsd.org/cgi/ports.cgi?query=py27-subversion&stype=all&sektion=all
>
> https://www.archlinux.org/packages/extra/x86_64/subversion/
>
> Then, I think we should update subversion/bindings/INSTALL to mension
> it is optional even for building swig language bindings.

Our .tar.bz2 and .tar.gz packages contain source files generated by
Swig. A packager /can/ decide to regenerate them; I don't know why they
would want to, but they can.

If I understand your patch correctly, those symbolic links would be
created in the build directory, not the source directory? In any case,
if you commit that patch, you'll also have to fix the "clean-swig-py"
target to remove the symlinks.

-- Brane


Mime
View raw message